org.springframework.cloud.dataflow.rest.resource.about

## Class AboutResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel
  - - org.springframework.cloud.dataflow.rest.resource.about.AboutResource

-     public class AboutResource
      extends org.springframework.hateoas.RepresentationModel

  Provides meta-information about the Spring Cloud Data Flow server.
  Author:
    Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AboutResource()` Default constructor for serialization frameworks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FeatureInfo` | `getFeatureInfo()`
    `MonitoringDashboardInfo` | `getMonitoringDashboardInfo()`
    `RuntimeEnvironment` | `getRuntimeEnvironment()`
    `SecurityInfo` | `getSecurityInfo()`
    `VersionInfo` | `getVersionInfo()`
    `void` | `setFeatureInfo(FeatureInfo featureInfo)`
    `void` | `setMonitoringDashboardInfo(MonitoringDashboardInfo monitoringDashboardInfo)`
    `void` | `setRuntimeEnvironment(RuntimeEnvironment runtimeEnvironment)`
    `void` | `setSecurityInfo(SecurityInfo securityInfo)`
    `void` | `setVersionInfo(VersionInfo versionInfo)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AboutResource

          public AboutResource()

      Default constructor for serialization frameworks.

  - ### Method Detail

    - #### getFeatureInfo

          public FeatureInfo getFeatureInfo()

    - #### setFeatureInfo

          public void setFeatureInfo(FeatureInfo featureInfo)

    - #### getVersionInfo

          public VersionInfo getVersionInfo()

    - #### setVersionInfo

          public void setVersionInfo(VersionInfo versionInfo)

    - #### getSecurityInfo

          public SecurityInfo getSecurityInfo()

    - #### setSecurityInfo

          public void setSecurityInfo(SecurityInfo securityInfo)

    - #### getRuntimeEnvironment

          public RuntimeEnvironment getRuntimeEnvironment()

    - #### setRuntimeEnvironment

          public void setRuntimeEnvironment(RuntimeEnvironment runtimeEnvironment)

    - #### getMonitoringDashboardInfo

          public MonitoringDashboardInfo getMonitoringDashboardInfo()

    - #### setMonitoringDashboardInfo

          public void setMonitoringDashboardInfo(MonitoringDashboardInfo monitoringDashboardInfo)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.